Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum2 -- CercaGlobale -- Informativa su Cookie e Privacy

Questo Forum1 è in sola lettura -- Usa il Forum2


Valutazione discussione:
  • 1 voto(i) - 5 media
  • 1
  • 2
  • 3
  • 4
  • 5
Nvidia drivers 304 problemi con Lucid Lynx
#1
Da qualche tempo ho problemi con i drivers nVidia su lucid lynx 10.04
Ho scaricato i drivers 295 e 304 direttamente dal sito del produttore ma nell'installarli mi dice che non deve essere in esecuzione il server grafico.
Cosa mi conviene, alla schermata di accesso ctr alt F o avviare direttamente da consolle di ripristino con i privilegi di root?
गुरू
Cita messaggio
#2
ctrl+alt+f2
sudo killall gdm
cd $percorso_del_file (es. cd ~/Scaricati/)
sudo sh nomefile.run OPPURE sudo ./nomefile.run
sudo gdm

fatto.
Cita messaggio
#3
Già Fatto?
गुरू
Cita messaggio
#4
Si, le cose da fare sono quelle.
Ovviamente devi seguire bene le cose che ti dice l'installer e verificare che abbia installato tutto.
Cita messaggio
#5
Prova con i ppa. I comandi da dare, da terminale sono:

Codice:
sudo apt-get --purge remove xserver-xorg-video-nouveau
sudo apt-add-repository ppa:ubuntu-x-swat/x-updates
sudo apt-get update
sudo apt-get install nvidia-current
sudo apt-get upgrade
sudo reboot -h
Cita messaggio
#6
(29-03-2013, 18:40 )roberto1155 Ha scritto: Prova con i ppa. I comandi da dare, da terminale sono:

Codice:
sudo apt-get --purge remove xserver-xorg-video-nouveau
sudo apt-add-repository ppa:ubuntu-x-swat/x-updates
sudo apt-get update
sudo apt-get install nvidia-current
sudo apt-get upgrade
sudo reboot -h

Non sempre nvidia-current è il pacchetto giusto.
Io ad esempio ho dovuto installare i pacchetti nvidia-313 e nvidia-settings-313, poi ovviamente dipende dal repo.
Il mio consiglio è, una volta aggiunto il PPA, di controllare da synaptic.
Cita messaggio
#7
Sulla 10.4 gli -> x-swat , vanno bene. Per i 313.** bisogna vedere la compatibilità della scheda video.
Cita messaggio
#8
(29-03-2013, 17:19 )Kronos Ha scritto: ctrl+alt+f2

(Mi escono delle strane faccine !!! da F1 a F6) -> difetto corretto

eseguito alla lettera suggerimento di kronos tranne sudo gdm.
NIENTE
Provo anche il suggerimento di Roberto e vi farò sapere
गुरू
Cita messaggio
#9
eseguito alla lettera suggerimento di kronos ma il mio sistema e cocciuto:

Il pacchetto xserver-xorg-video-nouveau non è installato e quindi non è stato rimosso
0 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.
1 non completamente installati o rimossi.
Dopo quest'operazione, verranno occupati 0B di spazio su disco.
Configurazione di nvidia-current (195.36.24-0ubuntu1~10.04.3)...
Removing old nvidia-current-195.36.24 DKMS files...

-------- Uninstall Beginning --------
Module: nvidia-current
Version: 195.36.24
Kernel: 2.6.32-46-generic (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

nvidia-current.ko:
- Uninstallation
- Deleting from: /lib/modules/2.6.32-46-generic/updates/dkms/
- Original module
- No original module was found for this module on this kernel.
- Use the dkms install command to reinstall any previous module version.

depmod.....

DKMS: uninstall Completed.

------------------------------
Deleting module version: 195.36.24
completely from the DKMS tree.
------------------------------
Done.
Loading new nvidia-current-195.36.24 DKMS files...
First Installation: checking all kernels...
Building for 2.6.32-46-generic and 3.2.5-030205-generic
Building for architecture x86_64
Building initial module for 2.6.32-46-generic
Done.

nvidia-current.ko:
Running module version sanity check.
- Original module
- No original module exists within this kernel
- Installation
- Installing to /lib/modules/2.6.32-46-generic/updates/dkms/

depmod....

DKMS: install Completed.
Building initial module for 3.2.5-030205-generic

Error! Bad return status for module build on kernel: 3.2.5-030205-generic (x86_64)
Consult the make.log in the build directory
/var/lib/dkms/nvidia-current/195.36.24/build/ for more information.
dpkg: errore nell'elaborare nvidia-current (--configure):
il sottoprocesso vecchio script di post-installation ha restituito lo stato di errore 10
Elaborazione dei trigger per python-gmenu...
Rebuilding /usr/share/applications/desktop.it_IT.utf8.cache...
Elaborazione dei trigger per python-support...
Si sono verificati degli errori nell'elaborazione:
nvidia-current
E: Sub-process /usr/bin/dpkg returned an error code (1)
गुरू
Cita messaggio
#10
Non capisco perchè il sistema cerca di istallare:
Citazione: Building initial module for 3.2.5-030205-generic
Error! Bad return status for module build on kernel: 3.2.5-030205-generic (x86_64)
Consult the make.log in the build directory
che è il kernal della 12.4. Mentre il tuo è:
Citazione: 2.6.32-46-generic
Cosa ti restituisce il comando:
Codice:
ls /boot/ | grep initrd
Cita messaggio


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)